%define anolis_release 1

%global libnma_version  1.8.27
%global nm_version      1:1.16.0
%bcond_with libnma_gtk4

%bcond_without appindicator

Summary: Tray applet and an advanced network connection editor
Name: network-manager-applet
Version: 1.36.0
Release: %{anolis_release}%{?dist}
License: GPLv2+
URL: http://www.gnome.org/projects/NetworkManager/

Source: https://download.gnome.org/sources/%{name}/1.36/%{name}-%{version}.tar.xz

Patch1: 0001-nm-applet-no-notifications.patch

Requires: NetworkManager >= %{installed_version_of NetworkManager-libnm}
Requires: nm-connection-editor = %{version}-%{release}
Requires: libnma >= %{libnma_version}

BuildRequires: intltool
BuildRequires: meson
BuildRequires: NetworkManager-libnm-devel >= %{nm_version}
BuildRequires: libnma-devel >= %{libnma_version}
BuildRequires: ModemManager-glib-devel >= 1.0
BuildRequires: glib2-devel >= 2.40
BuildRequires: gtk3-devel >= 3.10
BuildRequires: gobject-introspection-devel >= 0.10.3
BuildRequires: gettext-devel
BuildRequires: pkgconfig(dbusmenu-gtk3-0.4) >= 16.04.0
BuildRequires: pkgconfig(gudev-1.0) >= 147
BuildRequires: /usr/bin/autopoint
BuildRequires: pkgconfig
BuildRequires: gtk-doc
BuildRequires: desktop-file-utils
BuildRequires: iso-codes-devel
BuildRequires: libsecret-devel >= 0.12
BuildRequires: jansson-devel
BuildRequires: gcr-devel
BuildRequires: libselinux-devel
BuildRequires: mobile-broadband-provider-info-devel

%if %{with appindicator}
BuildRequires: libappindicator-gtk3-devel
%endif

%if %{with libnma_gtk4}
BuildRequires: gtk4-devel >= 3.96
%endif

Obsoletes: NetworkManager-gnome < 1:0.9.7
Conflicts: libnma < 1.10

%description
%{name} is a graphical user interface (GUI) for the NetworkManager
service that manages network connections on Linux-based systems.
It is a small application that sits in your system tray or notification
area and provides you with an easy way to manage your network connections.

%package -n nm-connection-editor
Summary: A network connection configuration editor for NetworkManager
Requires: %{name}-icons = %{version}-%{release}

%description -n nm-connection-editor
This package contains a network configuration editor and Bluetooth modem
utility for use with NetworkManager.

%package icons
Summary: Icons for %{name}
Buildarch: noarch
Conflicts: nm-connection-editor < 1.32.0-2
Conflicts: network-manager-applet < 1.32.0-2

%description icons
Icon files for %{name}.

%package -n nm-connection-editor-desktop
Summary: The desktop file for nm-connection-editor
Requires: nm-connection-editor = %{version}-%{release}
Buildarch: noarch

%description -n nm-connection-editor-desktop
This package contains the desktop file and appdata for nm-connection-editor.
Without it, the nm-connection-editor cannot be started from the desktop
environment.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1

%build
%meson -Dselinux=true \
%if %{with appindicator}
    -Dappindicator=yes
%else
    -Dappindicator=no
%endif
%meson_build

%install
%meson_install
mkdir -p %{buildroot}%{_datadir}/gnome-vpn-properties

%find_lang nm-applet

%generate_compatibility_deps

%check
%meson_test

%files -f nm-applet.lang
%license COPYING
%dir %{abidir}
%{_bindir}/nm-applet
%{abidir}/nm-applet-option.list
%{_datadir}/applications/nm-applet.desktop
%{_datadir}/icons/hicolor/22x22/apps/nm-adhoc.png
%{_datadir}/icons/hicolor/22x22/apps/nm-insecure-warn.png
%{_datadir}/icons/hicolor/22x22/apps/nm-mb-roam.png
%{_datadir}/icons/hicolor/22x22/apps/nm-secure-lock.png
%{_datadir}/icons/hicolor/22x22/apps/nm-signal-*.png
%{_datadir}/icons/hicolor/22x22/apps/nm-stage*-connecting*.png
%{_datadir}/icons/hicolor/22x22/apps/nm-tech-*.png
%{_datadir}/icons/hicolor/22x22/apps/nm-vpn-active-lock.png
%{_datadir}/icons/hicolor/22x22/apps/nm-vpn-connecting*.png
%{_datadir}/icons/hicolor/22x22/apps/nm-wwan-tower.png
%{_datadir}/icons/hicolor/scalable/apps/*.svg
%{_datadir}/glib-2.0/schemas/org.gnome.nm-applet.gschema.xml
%{_datadir}/GConf/gsettings/nm-applet.convert
%{_sysconfdir}/xdg/autostart/nm-applet.desktop
%{_mandir}/man1/nm-applet*

%files icons
%{_datadir}/icons/hicolor/*/apps/*

%files -n nm-connection-editor
%{_bindir}/nm-connection-editor
%{_mandir}/man1/nm-connection-editor*
%{_datadir}/icons/hicolor/*/apps/nm-device-*.*
%{_datadir}/icons/hicolor/*/apps/nm-no-connection.*
%{_datadir}/icons/hicolor/16x16/apps/nm-vpn-standalone-lock.png
%dir %{_datadir}/gnome-vpn-properties

%files -n nm-connection-editor-desktop
%{_datadir}/applications/nm-connection-editor.desktop
%{_datadir}/metainfo/nm-connection-editor.appdata.xml

%files doc
%doc NEWS CONTRIBUTING

%changelog
* Tue Mar 18 2025 Hong Wei Qin <qhw01063182@alibaba-inc.com> - 1.36.0-1
- Update to 1.36.0 from 1.32.0

* Wed Dec 13 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.32.0-3
- rebuild

* Mon Apr 17 2023 Funda Wang <fundawang@yeah.net> - 1.32.0-2
- Split out icons for removal of circular dependencies between
  network-manager-applet and nm-connection-editor

* Mon Apr 17 2023 Funda Wang <fundawang@yeah.net> - 1.32.0-1
- New version 1.32.0

* Fri Apr 14 2023 Kun(llfl) <llfl@linux.alibaba.com> - 1.30.0-2
- optimize spec file

* Sat Mar 18 2023 yuanhui <yuanhui@linux.alibaba.com> - 1.30.0-1
- Update to 1.30.0-1

* Wed Nov 02 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.26.0-2
- optimise spec file

* Mon Apr 18 2022 zhang xianting <zhangxianting@uniontech.com> - 1.26.0-1
- Initial build for Anolis V23
